# Uses of Interface
javax.lang.model.type.ExecutableType

Packages that use ExecutableType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of ExecutableType in javax.lang.model.type

Methods in javax.lang.model.type with parameters of type ExecutableType
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitExecutable(ExecutableType t, P p)`
Visits an executable type.

## Uses of ExecutableType in javax.lang.model.util

Methods in javax.lang.model.util with parameters of type ExecutableType
Modifier and Type
Method
Description
`boolean`
Types.`isSubsignature(ExecutableType m1, ExecutableType m2)`
Tests whether the signature of one method is a subsignature of another.
`R`
SimpleTypeVisitor6.`visitExecutable(ExecutableType t, P p)`
Visits an executable type.